Subject: Re: [bitcoin-dev] PayJoin adoption

From: Craig Raw <[email-masked]>
Date: Sat, 16 Jan 2021 08:15:27 +0200

Hey Chris,

You can add Sparrow Wallet to the list for Sending :)

I think one of the barriers to greater Payjoin adoption is the need for a
server endpoint on the receiving side. Ideally, all wallets should be able
to conduct Payjoin transactions with each other. This would require a
different mechanism to exchange the PSBTs, but otherwise the specification
should need no amendment. Samourai has implemented their Soroban protocol
to do this over Tor, but as far as I know it's not yet documented.

Given Payjoin is fee efficient (much more so than coinjoin) and relatively
simple to implement, it appears to hold great promise in disrupting
blockchain analysis. I'd love to see a standard that wallets can adopt to
receive Payjoin transactions without a server endpoint.

Craig

On Sat, Jan 16, 2021 at 5:13 AM dev_f via bitcoin-dev <
[email-masked]> wrote:

> Hey Chris,
>
> I assume that a major reason for the lack of adoption is the lack of
> visibility.
> I personally first found out about PayJoin when using BTCPayServer for a
> donation
> and being told by the site that PayJoin was available (
> https://hrf.org/donate-bitcoin/payjoin/).
> The wiki page you created is a good starting point. Bringing up the issue
> of implementing
> PayJoin directly with the companies / in the respective software repos
> seems like it would
> be a strong first step for greater adoption. Gets more eyes on it in
> general.
> (Directly contributing to the software by writing an implementation is
> obviously the
> most helpful, though clearly harder.)
>
> As a second option, pushing merchants towards accepting Bitcoin
> specifically via
> software like BTCPayServer, which already supports PayJoin, might be
> immensely
> helpful when Bitcoin adoption itself rises.
>
> Fitti
>
> Sent with ProtonMail Secure Email.
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Saturday, January 16th, 2021 at 1:07 AM, Chris Belcher via bitcoin-dev <
> [email-masked]> wrote:
>
> > PayJoin is an exciting bitcoin privacy technology which has the
> >
>
> > potential to damage the ability of blockchain surveillance to spy on
> >
>
> > bitcoin users and destroy bitcoin's fungibility. A protocol standard has
> >
>
> > already been defined and implemented by a couple of projects such as
> >
>
> > BTCPayServer, Wasabi Wallet, JoinMarket and BlueWallet.
> >
>
> > I've made a wiki page tracking adoption:
> >
>
> > https://en.bitcoin.it/wiki/PayJoin_adoption
> >
>
> > It is similar to the Bech32 adoption page.
> >
>
> > Recently a UK bitcoin exchange shut down due to new regulations, with
> >
>
> > the owner writing a very interesting and relevant blog post that I'll
> >
>
> > quote here:
> >
>
> > > you’re considered suspicious if you used a marketplace and not an
> >
>
> > exchange. Coinjoin counts as high risk. Gambling is high risk. As you
> >
>
> > use entities that are paranoid about keeping their coins clean and
> >
>
> > adhering to all the regulations, your risk scores will continue to
> >
>
> > increase and without you even knowing why, your deposits will become
> >
>
> > rejected, you may be asked to supply documents or lose the coins, your
> >
>
> > account may become suspended without you having any clue what you did
> >
>
> > wrong. And quite possibly you didn’t do anything wrong. But that won’t
> >
>
> > matter.
> >
>
> > > The goal post, the risk score threshold will keep moving along this
> >
>
> > trend until the point where you will be afraid of using your personal
> >
>
> > wallet, donating to someone online, receiving bitcoins from anywhere
> >
>
> > except for regulated exchanges. At that point, crypto will be akin to a
> >
>
> > regular bank account. You won’t have a bitcoin wallet, you will have
> >
>
> > accounts to websites.
> >
>
> > https://blog.bitbargain.com/post/638504004285054976/goodbye
> >
>
> > If we want bitcoin to fulfill its dream of a permissionless money for
> >
>
> > the internet then we'll have to work on this. What can we do to increase
> >
>
> > adoption of PayJoin?
> >
>
> > bitcoin-dev mailing list
> >
>
> > [email-masked]
> >
>
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>